{
  "name": "exam-score-statistic-web-admin",
  "version": "0.0.0",
  "private": "true",
  "scripts": {
    "start": "vite --host 0.0.0.0 --port 3030",
    "dev": "vite --force",
    "build": "vue-tsc --noEmit --skipLibCheck && vite build",
    "build-without-type-check": "vite build",
    "typecheck": "vue-tsc --noEmit --skipLibCheck",
    "serve": "vite preview",
    "lint": "eslint --ext .js,.ts,.vue --ignore-path .gitignore --fix src",
    "format": "prettier .  --write"
  },
  "dependencies": {
    "@vueuse/core": "^7.6.0",
    "@vueuse/router": "^7.6.0",
    "ant-design-vue": "^2.2.8",
    "axios": "^0.25.0",
    "axios-progress-bar": "^1.2.0",
    "axios-retry": "^3.2.4",
    "crypto-js": "^4.1.1",
    "echarts": "^5.3.0",
    "js-cookie": "^3.0.1",
    "js-md5": "^0.7.3",
    "lodash-es": "^4.17.21",
    "mitt": "^3.0.0",
    "moment": "^2.29.1",
    "pinia": "^2.0.11",
    "qs": "^6.10.3",
    "tailwindcss": "^3.0.19",
    "ua-parser-js": "^1.0.2",
    "vue": "^3.2.30",
    "vue-echarts": "^6.0.2",
    "vue-router": "^4.0.12"
  },
  "devDependencies": {
    "@types/crypto-js": "^4.1.0",
    "@types/js-cookie": "^3.0.1",
    "@types/js-md5": "^0.4.3",
    "@types/lodash-es": "^4.17.6",
    "@types/node": "^17.0.16",
    "@types/qs": "^6.9.7",
    "@types/ua-parser-js": "^0.7.36",
    "@typescript-eslint/eslint-plugin": "^5.11.0",
    "@typescript-eslint/parser": "^5.11.0",
    "@vitejs/plugin-vue": "^2.2.0",
    "@vue/compiler-sfc": "^3.2.30",
    "@vue/runtime-core": "^3.2.30",
    "autoprefixer": "^10.4.2",
    "eslint": "^8.8.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-vue": "^8.4.1",
    "postcss": "^8.4.6",
    "typescript": "^4.5.5",
    "unplugin-vue-components": "^0.17.18",
    "vite": "^2.8.0",
    "vue-eslint-parser": "^8.2.0",
    "vue-tsc": "^0.31.2"
  }
}
